clang 10.0.0git

Classes | Public Member Functions | List of all members
clang::ASTNameGenerator Class Reference

`#include "clang/AST/Mangle.h"`

## Classes
class | Implementation

## Public Member Functions
| ASTNameGenerator (ASTContext &Ctx)
| ~ASTNameGenerator ()
bool | writeName (const Decl *D, raw_ostream &OS)
| Writes name for `D` to `OS`. More...
std::string | getName (const Decl *D)
std::vector< std::string > | getAllManglings (const Decl *D)

## Detailed Description

Definition at line 249 of file Mangle.h.

## Constructor & Destructor Documentation

## ◆ ASTNameGenerator()

ASTNameGenerator::ASTNameGenerator | ( | ASTContext & | Ctx | ) |
| explicit

Definition at line 476 of file Mangle.cpp.

## ◆ ~ASTNameGenerator()

ASTNameGenerator::~ASTNameGenerator | ( |  | ) |

Definition at line 479 of file Mangle.cpp.

## Member Function Documentation

## ◆ getAllManglings()

std::vector< std::string > ASTNameGenerator::getAllManglings | ( | const Decl * | D | ) |

Returns
  all applicable mangled names. For example C++ constructors/destructors can have multiple.

Definition at line 489 of file Mangle.cpp.

## ◆ getName()

std::string ASTNameGenerator::getName | ( | const Decl * | D | ) |

Returns
  name for `D`

Definition at line 485 of file Mangle.cpp.

Referenced by clang::JSONNodeDumper::VisitNamedDecl().

## ◆ writeName()

bool ASTNameGenerator::writeName | ( | const Decl * | D,
|  | raw_ostream & | OS
| ) |  |

Writes name for `D` to `OS`.

Returns
  true on failure, false on success.

Definition at line 481 of file Mangle.cpp.

The documentation for this class was generated from the following files:

- include/clang/AST/Mangle.h
- lib/AST/Mangle.cpp